com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TreesetPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface TreesetPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `TreesetFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TreesetPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static TreesetPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `MESSAGE_ITEM` The meta object id for the '`Message Item`' class
    `static int` | `MESSAGE_ITEM__POSTED_MESSAGE` The feature id for the 'Posted Message' reference
    `static int` | `MESSAGE_ITEM__TEST_NODE` The feature id for the 'Test Node' reference
    `static int` | `MESSAGE_ITEM_FEATURE_COUNT` The number of structural features of the 'Message Item' class
    `static int` | `MESSAGE_SECTION` The meta object id for the '`Message Section`' class
    `static int` | `MESSAGE_SECTION__COLUMN_WIDTH_MESSAGE` The feature id for the 'Column Width Message' attribute
    `static int` | `MESSAGE_SECTION__COLUMN_WIDTH_SEVERITY` The feature id for the 'Column Width Severity' attribute
    `static int` | `MESSAGE_SECTION__MESSAGE_ITEM_LIST` The feature id for the 'Message Item List' containment reference list
    `static int` | `MESSAGE_SECTION__ROW_COUNT` The feature id for the 'Row Count' attribute
    `static int` | `MESSAGE_SECTION__SCROLL_ROW_TOP` The feature id for the 'Scroll Row Top' attribute
    `static int` | `MESSAGE_SECTION_FEATURE_COUNT` The number of structural features of the 'Message Section' class
    `static int` | `SOURCE` The meta object id for the '`Source`' enum
    `static int` | `TEST_ASSOCIATION` The meta object id for the '`Test Association`' class
    `static int` | `TEST_ASSOCIATION__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_ASSOCIATION__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_ASSOCIATION__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_ASSOCIATION__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_ASSOCIATION__EREFERENCE` The feature id for the 'EReference' reference
    `static int` | `TEST_ASSOCIATION__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_ASSOCIATION__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_ASSOCIATION__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_ASSOCIATION__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_ASSOCIATION__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_ASSOCIATION__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_ASSOCIATION__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_ASSOCIATION__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_ASSOCIATION__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_ASSOCIATION__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_ASSOCIATION__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_ASSOCIATION__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_ASSOCIATION__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_ASSOCIATION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_ASSOCIATION_FEATURE_COUNT` The number of structural features of the 'Test Association' class
    `static int` | `TEST_ASSOCIATION_HREF` The meta object id for the '`Test Association Href`' class
    `static int` | `TEST_ASSOCIATION_HREF__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_ASSOCIATION_HREF__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_ASSOCIATION_HREF__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_ASSOCIATION_HREF__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_ASSOCIATION_HREF__EREFERENCE` The feature id for the 'EReference' reference
    `static int` | `TEST_ASSOCIATION_HREF__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_ASSOCIATION_HREF__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_ASSOCIATION_HREF__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_ASSOCIATION_HREF__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_ASSOCIATION_HREF__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_ASSOCIATION_HREF__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_ASSOCIATION_HREF__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_ASSOCIATION_HREF__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_ASSOCIATION_HREF__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_ASSOCIATION_HREF__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_ASSOCIATION_HREF__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_ASSOCIATION_HREF__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_ASSOCIATION_HREF__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_ASSOCIATION_HREF__TARGET_TEST_NODE` The feature id for the 'Target Test Node' reference
    `static int` | `TEST_ASSOCIATION_HREF__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_ASSOCIATION_HREF_FEATURE_COUNT` The number of structural features of the 'Test Association Href' class
    `static int` | `TEST_ASSOCIATION_IMBEDDED` The meta object id for the '`Test Association Imbedded`' class
    `static int` | `TEST_ASSOCIATION_IMBEDDED__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_ASSOCIATION_IMBEDDED__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_ASSOCIATION_IMBEDDED__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_ASSOCIATION_IMBEDDED__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__ECLASS` The feature id for the 'EClass' reference
    `static int` | `TEST_ASSOCIATION_IMBEDDED__EREFERENCE` The feature id for the 'EReference' reference
    `static int` | `TEST_ASSOCIATION_IMBEDDED__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_ASSOCIATION_IMBEDDED__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_ASSOCIATION_IMBEDDED__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_ASSOCIATION_IMBEDDED__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_ASSOCIATION_IMBEDDED__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_ASSOCIATION_IMBEDDED_FEATURE_COUNT` The number of structural features of the 'Test Association Imbedded' class
    `static int` | `TEST_ATTRIBUTE` The meta object id for the '`Test Attribute`' class
    `static int` | `TEST_ATTRIBUTE__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_ATTRIBUTE__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_ATTRIBUTE__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_ATTRIBUTE__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_ATTRIBUTE__EATTRIBUTE` The feature id for the 'EAttribute' reference
    `static int` | `TEST_ATTRIBUTE__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_ATTRIBUTE__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_ATTRIBUTE__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_ATTRIBUTE__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_ATTRIBUTE__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_ATTRIBUTE__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_ATTRIBUTE__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_ATTRIBUTE__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_ATTRIBUTE__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_ATTRIBUTE__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_ATTRIBUTE__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_ATTRIBUTE__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_ATTRIBUTE__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_ATTRIBUTE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_ATTRIBUTE__VALUE` The feature id for the 'Value' attribute
    `static int` | `TEST_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Test Attribute' class
    `static int` | `TEST_CHARACTERISTIC` The meta object id for the '`Test Characteristic`' class
    `static int` | `TEST_CHARACTERISTIC__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_CHARACTERISTIC__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_CHARACTERISTIC__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_CHARACTERISTIC__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_CHARACTERISTIC__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_CHARACTERISTIC__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_CHARACTERISTIC__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_CHARACTERISTIC__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_CHARACTERISTIC__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_CHARACTERISTIC__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_CHARACTERISTIC__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_CHARACTERISTIC__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_CHARACTERISTIC__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_CHARACTERISTIC__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_CHARACTERISTIC__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_CHARACTERISTIC__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_CHARACTERISTIC__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_CHARACTERISTIC__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_CHARACTERISTIC__VALUE` The feature id for the 'Value' attribute
    `static int` | `TEST_CHARACTERISTIC_FEATURE_COUNT` The number of structural features of the 'Test Characteristic' class
    `static int` | `TEST_ENTITY` The meta object id for the '`Test Entity`' class
    `static int` | `TEST_ENTITY__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_ENTITY__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_ENTITY__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_ENTITY__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_ENTITY__ECLASS` The feature id for the 'EClass' reference
    `static int` | `TEST_ENTITY__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_ENTITY__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_ENTITY__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_ENTITY__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_ENTITY__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_ENTITY__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_ENTITY__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_ENTITY__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_ENTITY__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_ENTITY__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_ENTITY__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_ENTITY__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_ENTITY__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_ENTITY__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_ENTITY_FEATURE_COUNT` The number of structural features of the 'Test Entity' class
    `static int` | `TEST_NODE` The meta object id for the '`Test Node`' class
    `static int` | `TEST_NODE__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_NODE__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_NODE__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_NODE__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_NODE__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_NODE__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_NODE__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_NODE__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_NODE__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_NODE__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_NODE__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_NODE__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_NODE__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_NODE__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_NODE__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_NODE__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_NODE__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_NODE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_NODE_FEATURE_COUNT` The number of structural features of the 'Test Node' class
    `static int` | `TEST_TRANSIENT` The meta object id for the '`Test Transient`' class
    `static int` | `TEST_TRANSIENT__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `TEST_TRANSIENT__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `TEST_TRANSIENT__COMMENTS` The feature id for the 'Comments' attribute list
    `static int` | `TEST_TRANSIENT__DATA_TYPE` The feature id for the 'Data Type' attribute
    `static int` | `TEST_TRANSIENT__DATABASE_ID` The feature id for the 'Database ID' attribute
    `static int` | `TEST_TRANSIENT__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `TEST_TRANSIENT__IGNORE_VALIDATION` The feature id for the 'Ignore Validation' attribute
    `static int` | `TEST_TRANSIENT__INVALID` The feature id for the 'Invalid' attribute
    `static int` | `TEST_TRANSIENT__ISSUE` The feature id for the 'Issue' attribute
    `static int` | `TEST_TRANSIENT__MANUALLY_CREATED` The feature id for the 'Manually Created' attribute
    `static int` | `TEST_TRANSIENT__MESSAGE_ITEM` The feature id for the 'Message Item' reference list
    `static int` | `TEST_TRANSIENT__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_TRANSIENT__NEW_OR_MODIFIED` The feature id for the 'New Or Modified' attribute
    `static int` | `TEST_TRANSIENT__NODE_ID` The feature id for the 'Node ID' attribute
    `static int` | `TEST_TRANSIENT__PARENT` The feature id for the 'Parent' container reference
    `static int` | `TEST_TRANSIENT__PASSED` The feature id for the 'Passed' attribute
    `static int` | `TEST_TRANSIENT__REFERENCING_HREFS` The feature id for the 'Referencing Hrefs' reference list
    `static int` | `TEST_TRANSIENT__SOURCE` The feature id for the 'Source' attribute
    `static int` | `TEST_TRANSIENT__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `TEST_TRANSIENT__VALUE` The feature id for the 'Value' attribute
    `static int` | `TEST_TRANSIENT_FEATURE_COUNT` The number of structural features of the 'Test Transient' class
    `static int` | `TEST_TREE_SET` The meta object id for the '`Test Tree Set`' class
    `static int` | `TEST_TREE_SET__EXPECTED_MESSAGE_SECTION` The feature id for the 'Expected Message Section' containment reference
    `static int` | `TEST_TREE_SET__EXPECTED_ROOT` The feature id for the 'Expected Root' containment reference
    `static int` | `TEST_TREE_SET__INPUT_ROOT` The feature id for the 'Input Root' containment reference
    `static int` | `TEST_TREE_SET__OUTPUT_MESSAGE_SECTION` The feature id for the 'Output Message Section' containment reference
    `static int` | `TEST_TREE_SET__OUTPUT_ROOT` The feature id for the 'Output Root' containment reference
    `static int` | `TEST_TREE_SET__SELECTION` The feature id for the 'Selection' attribute
    `static int` | `TEST_TREE_SET__TESTSHEET` The feature id for the 'Testsheet' reference
    `static int` | `TEST_TREE_SET_FEATURE_COUNT` The number of structural features of the 'Test Tree Set' class
    `static int` | `VALIDATION_ISSUE` The meta object id for the '`Validation Issue`' enum

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getMessageItem_PostedMessage()` Returns the meta object for the reference '`Posted Message`'
    `org.eclipse.emf.ecore.EReference` | `getMessageItem_TestNode()` Returns the meta object for the reference '`Test Node`'
    `org.eclipse.emf.ecore.EClass` | `getMessageItem()` Returns the meta object for class '`Message Item`'
    `org.eclipse.emf.ecore.EAttribute` | `getMessageSection_ColumnWidthMessage()` Returns the meta object for the attribute '`Column Width Message`'
    `org.eclipse.emf.ecore.EAttribute` | `getMessageSection_ColumnWidthSeverity()` Returns the meta object for the attribute '`Column Width Severity`'
    `org.eclipse.emf.ecore.EReference` | `getMessageSection_MessageItemList()` Returns the meta object for the containment reference list '`Message Item List`'
    `org.eclipse.emf.ecore.EAttribute` | `getMessageSection_RowCount()` Returns the meta object for the attribute '`Row Count`'
    `org.eclipse.emf.ecore.EAttribute` | `getMessageSection_ScrollRowTop()` Returns the meta object for the attribute '`Scroll Row Top`'
    `org.eclipse.emf.ecore.EClass` | `getMessageSection()` Returns the meta object for class '`Message Section`'
    `org.eclipse.emf.ecore.EEnum` | `getSource()` Returns the meta object for enum '`Source`'
    `org.eclipse.emf.ecore.EReference` | `getTestAssociation_EReference()` Returns the meta object for the reference '`EReference`'
    `org.eclipse.emf.ecore.EClass` | `getTestAssociation()` Returns the meta object for class '`Test Association`'
    `org.eclipse.emf.ecore.EReference` | `getTestAssociationHref_TargetTestNode()` Returns the meta object for the reference '`Target Test Node`'
    `org.eclipse.emf.ecore.EClass` | `getTestAssociationHref()` Returns the meta object for class '`Test Association Href`'
    `org.eclipse.emf.ecore.EReference` | `getTestAssociationImbedded_EClass()` Returns the meta object for the reference '`EClass`'
    `org.eclipse.emf.ecore.EClass` | `getTestAssociationImbedded()` Returns the meta object for class '`Test Association Imbedded`'
    `org.eclipse.emf.ecore.EReference` | `getTestAttribute_EAttribute()` Returns the meta object for the reference '`EAttribute`'
    `org.eclipse.emf.ecore.EClass` | `getTestAttribute()` Returns the meta object for class '`Test Attribute`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestCharacteristic_Value()` Returns the meta object for the attribute '`Value`'
    `org.eclipse.emf.ecore.EClass` | `getTestCharacteristic()` Returns the meta object for class '`Test Characteristic`'
    `org.eclipse.emf.ecore.EReference` | `getTestEntity_EClass()` Returns the meta object for the reference '`EClass`'
    `org.eclipse.emf.ecore.EClass` | `getTestEntity()` Returns the meta object for class '`Test Entity`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_BackupInfo()` Returns the meta object for the attribute list '`Backup Info`'
    `org.eclipse.emf.ecore.EReference` | `getTestNode_Children()` Returns the meta object for the containment reference list '`Children`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Comments()` Returns the meta object for the attribute list '`Comments`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_DatabaseID()` Returns the meta object for the attribute '`Database ID`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Expanded()` Returns the meta object for the attribute '`Expanded`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_IgnoreValidation()` Returns the meta object for the attribute '`Ignore Validation`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Invalid()` Returns the meta object for the attribute '`Invalid`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Issue()` Returns the meta object for the attribute '`Issue`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_ManuallyCreated()` Returns the meta object for the attribute '`Manually Created`'
    `org.eclipse.emf.ecore.EReference` | `getTestNode_MessageItem()` Returns the meta object for the reference list '`Message Item`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_NewOrModified()` Returns the meta object for the attribute '`New Or Modified`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_NodeID()` Returns the meta object for the attribute '`Node ID`'
    `org.eclipse.emf.ecore.EReference` | `getTestNode_Parent()` Returns the meta object for the container reference '`Parent`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Passed()` Returns the meta object for the attribute '`Passed`'
    `org.eclipse.emf.ecore.EReference` | `getTestNode_ReferencingHrefs()` Returns the meta object for the reference list '`Referencing Hrefs`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestNode_Source()` Returns the meta object for the attribute '`Source`'
    `org.eclipse.emf.ecore.EClass` | `getTestNode()` Returns the meta object for class '`Test Node`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestTransient_DataType()` Returns the meta object for the attribute '`Data Type`'
    `org.eclipse.emf.ecore.EClass` | `getTestTransient()` Returns the meta object for class '`Test Transient`'
    `org.eclipse.emf.ecore.EReference` | `getTestTreeSet_ExpectedMessageSection()` Returns the meta object for the containment reference '`Expected Message Section`'
    `org.eclipse.emf.ecore.EReference` | `getTestTreeSet_ExpectedRoot()` Returns the meta object for the containment reference '`Expected Root`'
    `org.eclipse.emf.ecore.EReference` | `getTestTreeSet_InputRoot()` Returns the meta object for the containment reference '`Input Root`'
    `org.eclipse.emf.ecore.EReference` | `getTestTreeSet_OutputMessageSection()` Returns the meta object for the containment reference '`Output Message Section`'
    `org.eclipse.emf.ecore.EReference` | `getTestTreeSet_OutputRoot()` Returns the meta object for the containment reference '`Output Root`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestTreeSet_Selection()` Returns the meta object for the attribute '`Selection`'
    `org.eclipse.emf.ecore.EReference` | `getTestTreeSet_Testsheet()` Returns the meta object for the reference '`Testsheet`'
    `org.eclipse.emf.ecore.EClass` | `getTestTreeSet()` Returns the meta object for class '`Test Tree Set`'
    `TreesetFactory` | `getTreesetFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EEnum` | `getValidationIssue()` Returns the meta object for enum '`Validation Issue`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TreesetPackage eINSTANCE

      The singleton instance of the package.

    - #### MESSAGE_ITEM

          static final int MESSAGE_ITEM

      The meta object id for the '`Message Item`' class.
      See Also:
        `MessageItemImpl`, `TreesetPackageImpl.getMessageItem()`, Constant Field Values

    - #### MESSAGE_ITEM__POSTED_MESSAGE

          static final int MESSAGE_ITEM__POSTED_MESSAGE

      The feature id for the 'Posted Message' reference.
      See Also:
        Constant Field Values

    - #### MESSAGE_ITEM__TEST_NODE

          static final int MESSAGE_ITEM__TEST_NODE

      The feature id for the 'Test Node' reference.
      See Also:
        Constant Field Values

    - #### MESSAGE_ITEM_FEATURE_COUNT

          static final int MESSAGE_ITEM_FEATURE_COUNT

      The number of structural features of the 'Message Item' class.
      See Also:
        Constant Field Values

    - #### MESSAGE_SECTION

          static final int MESSAGE_SECTION

      The meta object id for the '`Message Section`' class.
      See Also:
        `MessageSectionImpl`, `TreesetPackageImpl.getMessageSection()`, Constant Field Values

    - #### MESSAGE_SECTION__MESSAGE_ITEM_LIST

          static final int MESSAGE_SECTION__MESSAGE_ITEM_LIST

      The feature id for the 'Message Item List' containment reference list.
      See Also:
        Constant Field Values

    - #### MESSAGE_SECTION__ROW_COUNT

          static final int MESSAGE_SECTION__ROW_COUNT

      The feature id for the 'Row Count' attribute.
      See Also:
        Constant Field Values

    - #### MESSAGE_SECTION__SCROLL_ROW_TOP

          static final int MESSAGE_SECTION__SCROLL_ROW_TOP

      The feature id for the 'Scroll Row Top' attribute.
      See Also:
        Constant Field Values

    - #### MESSAGE_SECTION__COLUMN_WIDTH_SEVERITY

          static final int MESSAGE_SECTION__COLUMN_WIDTH_SEVERITY

      The feature id for the 'Column Width Severity' attribute.
      See Also:
        Constant Field Values

    - #### MESSAGE_SECTION__COLUMN_WIDTH_MESSAGE

          static final int MESSAGE_SECTION__COLUMN_WIDTH_MESSAGE

      The feature id for the 'Column Width Message' attribute.
      See Also:
        Constant Field Values

    - #### MESSAGE_SECTION_FEATURE_COUNT

          static final int MESSAGE_SECTION_FEATURE_COUNT

      The number of structural features of the 'Message Section' class.
      See Also:
        Constant Field Values

    - #### TEST_NODE

          static final int TEST_NODE

      The meta object id for the '`Test Node`' class.
      See Also:
        `TestNodeImpl`, `TreesetPackageImpl.getTestNode()`, Constant Field Values

    - #### TEST_NODE__VALIDATION_MESSAGES

          static final int TEST_NODE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_NODE__PARENT

          static final int TEST_NODE__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_NODE__CHILDREN

          static final int TEST_NODE__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_NODE__NAME

          static final int TEST_NODE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__NODE_ID

          static final int TEST_NODE__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__INVALID

          static final int TEST_NODE__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__NEW_OR_MODIFIED

          static final int TEST_NODE__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__MANUALLY_CREATED

          static final int TEST_NODE__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__SOURCE

          static final int TEST_NODE__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__EXPANDED

          static final int TEST_NODE__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__PASSED

          static final int TEST_NODE__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__ISSUE

          static final int TEST_NODE__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__BACKUP_INFO

          static final int TEST_NODE__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_NODE__COMMENTS

          static final int TEST_NODE__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_NODE__DATABASE_ID

          static final int TEST_NODE__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE__REFERENCING_HREFS

          static final int TEST_NODE__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_NODE__MESSAGE_ITEM

          static final int TEST_NODE__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_NODE__IGNORE_VALIDATION

          static final int TEST_NODE__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_NODE_FEATURE_COUNT

          static final int TEST_NODE_FEATURE_COUNT

      The number of structural features of the 'Test Node' class.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION

          static final int TEST_ASSOCIATION

      The meta object id for the '`Test Association`' class.
      See Also:
        `TestAssociationImpl`, `TreesetPackageImpl.getTestAssociation()`, Constant Field Values

    - #### TEST_ASSOCIATION__VALIDATION_MESSAGES

          static final int TEST_ASSOCIATION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__PARENT

          static final int TEST_ASSOCIATION__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__CHILDREN

          static final int TEST_ASSOCIATION__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__NAME

          static final int TEST_ASSOCIATION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__NODE_ID

          static final int TEST_ASSOCIATION__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__INVALID

          static final int TEST_ASSOCIATION__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__NEW_OR_MODIFIED

          static final int TEST_ASSOCIATION__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__MANUALLY_CREATED

          static final int TEST_ASSOCIATION__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__SOURCE

          static final int TEST_ASSOCIATION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__EXPANDED

          static final int TEST_ASSOCIATION__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__PASSED

          static final int TEST_ASSOCIATION__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__ISSUE

          static final int TEST_ASSOCIATION__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__BACKUP_INFO

          static final int TEST_ASSOCIATION__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__COMMENTS

          static final int TEST_ASSOCIATION__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__DATABASE_ID

          static final int TEST_ASSOCIATION__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__REFERENCING_HREFS

          static final int TEST_ASSOCIATION__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__MESSAGE_ITEM

          static final int TEST_ASSOCIATION__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__IGNORE_VALIDATION

          static final int TEST_ASSOCIATION__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION__EREFERENCE

          static final int TEST_ASSOCIATION__EREFERENCE

      The feature id for the 'EReference' reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_FEATURE_COUNT

          static final int TEST_ASSOCIATION_FEATURE_COUNT

      The number of structural features of the 'Test Association' class.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF

          static final int TEST_ASSOCIATION_HREF

      The meta object id for the '`Test Association Href`' class.
      See Also:
        `TestAssociationHrefImpl`, `TreesetPackageImpl.getTestAssociationHref()`, Constant Field Values

    - #### TEST_ASSOCIATION_HREF__VALIDATION_MESSAGES

          static final int TEST_ASSOCIATION_HREF__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__PARENT

          static final int TEST_ASSOCIATION_HREF__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__CHILDREN

          static final int TEST_ASSOCIATION_HREF__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__NAME

          static final int TEST_ASSOCIATION_HREF__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__NODE_ID

          static final int TEST_ASSOCIATION_HREF__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__INVALID

          static final int TEST_ASSOCIATION_HREF__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__NEW_OR_MODIFIED

          static final int TEST_ASSOCIATION_HREF__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__MANUALLY_CREATED

          static final int TEST_ASSOCIATION_HREF__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__SOURCE

          static final int TEST_ASSOCIATION_HREF__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__EXPANDED

          static final int TEST_ASSOCIATION_HREF__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__PASSED

          static final int TEST_ASSOCIATION_HREF__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__ISSUE

          static final int TEST_ASSOCIATION_HREF__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__BACKUP_INFO

          static final int TEST_ASSOCIATION_HREF__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__COMMENTS

          static final int TEST_ASSOCIATION_HREF__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__DATABASE_ID

          static final int TEST_ASSOCIATION_HREF__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__REFERENCING_HREFS

          static final int TEST_ASSOCIATION_HREF__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__MESSAGE_ITEM

          static final int TEST_ASSOCIATION_HREF__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__IGNORE_VALIDATION

          static final int TEST_ASSOCIATION_HREF__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__EREFERENCE

          static final int TEST_ASSOCIATION_HREF__EREFERENCE

      The feature id for the 'EReference' reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF__TARGET_TEST_NODE

          static final int TEST_ASSOCIATION_HREF__TARGET_TEST_NODE

      The feature id for the 'Target Test Node' reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_HREF_FEATURE_COUNT

          static final int TEST_ASSOCIATION_HREF_FEATURE_COUNT

      The number of structural features of the 'Test Association Href' class.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED

          static final int TEST_ASSOCIATION_IMBEDDED

      The meta object id for the '`Test Association Imbedded`' class.
      See Also:
        `TestAssociationImbeddedImpl`, `TreesetPackageImpl.getTestAssociationImbedded()`, Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__VALIDATION_MESSAGES

          static final int TEST_ASSOCIATION_IMBEDDED__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__PARENT

          static final int TEST_ASSOCIATION_IMBEDDED__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__CHILDREN

          static final int TEST_ASSOCIATION_IMBEDDED__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__NAME

          static final int TEST_ASSOCIATION_IMBEDDED__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__NODE_ID

          static final int TEST_ASSOCIATION_IMBEDDED__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__INVALID

          static final int TEST_ASSOCIATION_IMBEDDED__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__NEW_OR_MODIFIED

          static final int TEST_ASSOCIATION_IMBEDDED__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__MANUALLY_CREATED

          static final int TEST_ASSOCIATION_IMBEDDED__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__SOURCE

          static final int TEST_ASSOCIATION_IMBEDDED__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__EXPANDED

          static final int TEST_ASSOCIATION_IMBEDDED__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__PASSED

          static final int TEST_ASSOCIATION_IMBEDDED__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__ISSUE

          static final int TEST_ASSOCIATION_IMBEDDED__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__BACKUP_INFO

          static final int TEST_ASSOCIATION_IMBEDDED__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__COMMENTS

          static final int TEST_ASSOCIATION_IMBEDDED__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__DATABASE_ID

          static final int TEST_ASSOCIATION_IMBEDDED__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__REFERENCING_HREFS

          static final int TEST_ASSOCIATION_IMBEDDED__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__MESSAGE_ITEM

          static final int TEST_ASSOCIATION_IMBEDDED__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__IGNORE_VALIDATION

          static final int TEST_ASSOCIATION_IMBEDDED__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__EREFERENCE

          static final int TEST_ASSOCIATION_IMBEDDED__EREFERENCE

      The feature id for the 'EReference' reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED__ECLASS

          static final int TEST_ASSOCIATION_IMBEDDED__ECLASS

      The feature id for the 'EClass' reference.
      See Also:
        Constant Field Values

    - #### TEST_ASSOCIATION_IMBEDDED_FEATURE_COUNT

          static final int TEST_ASSOCIATION_IMBEDDED_FEATURE_COUNT

      The number of structural features of the 'Test Association Imbedded' class.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC

          static final int TEST_CHARACTERISTIC

      The meta object id for the '`Test Characteristic`' class.
      See Also:
        `TestCharacteristicImpl`, `TreesetPackageImpl.getTestCharacteristic()`, Constant Field Values

    - #### TEST_CHARACTERISTIC__VALIDATION_MESSAGES

          static final int TEST_CHARACTERISTIC__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__PARENT

          static final int TEST_CHARACTERISTIC__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__CHILDREN

          static final int TEST_CHARACTERISTIC__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__NAME

          static final int TEST_CHARACTERISTIC__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__NODE_ID

          static final int TEST_CHARACTERISTIC__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__INVALID

          static final int TEST_CHARACTERISTIC__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__NEW_OR_MODIFIED

          static final int TEST_CHARACTERISTIC__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__MANUALLY_CREATED

          static final int TEST_CHARACTERISTIC__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__SOURCE

          static final int TEST_CHARACTERISTIC__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__EXPANDED

          static final int TEST_CHARACTERISTIC__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__PASSED

          static final int TEST_CHARACTERISTIC__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__ISSUE

          static final int TEST_CHARACTERISTIC__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__BACKUP_INFO

          static final int TEST_CHARACTERISTIC__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__COMMENTS

          static final int TEST_CHARACTERISTIC__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__DATABASE_ID

          static final int TEST_CHARACTERISTIC__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__REFERENCING_HREFS

          static final int TEST_CHARACTERISTIC__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__MESSAGE_ITEM

          static final int TEST_CHARACTERISTIC__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__IGNORE_VALIDATION

          static final int TEST_CHARACTERISTIC__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC__VALUE

          static final int TEST_CHARACTERISTIC__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### TEST_CHARACTERISTIC_FEATURE_COUNT

          static final int TEST_CHARACTERISTIC_FEATURE_COUNT

      The number of structural features of the 'Test Characteristic' class.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE

          static final int TEST_ATTRIBUTE

      The meta object id for the '`Test Attribute`' class.
      See Also:
        `TestAttributeImpl`, `TreesetPackageImpl.getTestAttribute()`, Constant Field Values

    - #### TEST_ATTRIBUTE__VALIDATION_MESSAGES

          static final int TEST_ATTRIBUTE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__PARENT

          static final int TEST_ATTRIBUTE__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__CHILDREN

          static final int TEST_ATTRIBUTE__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__NAME

          static final int TEST_ATTRIBUTE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__NODE_ID

          static final int TEST_ATTRIBUTE__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__INVALID

          static final int TEST_ATTRIBUTE__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__NEW_OR_MODIFIED

          static final int TEST_ATTRIBUTE__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__MANUALLY_CREATED

          static final int TEST_ATTRIBUTE__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__SOURCE

          static final int TEST_ATTRIBUTE__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__EXPANDED

          static final int TEST_ATTRIBUTE__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__PASSED

          static final int TEST_ATTRIBUTE__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__ISSUE

          static final int TEST_ATTRIBUTE__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__BACKUP_INFO

          static final int TEST_ATTRIBUTE__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__COMMENTS

          static final int TEST_ATTRIBUTE__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__DATABASE_ID

          static final int TEST_ATTRIBUTE__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__REFERENCING_HREFS

          static final int TEST_ATTRIBUTE__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__MESSAGE_ITEM

          static final int TEST_ATTRIBUTE__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__IGNORE_VALIDATION

          static final int TEST_ATTRIBUTE__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__VALUE

          static final int TEST_ATTRIBUTE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE__EATTRIBUTE

          static final int TEST_ATTRIBUTE__EATTRIBUTE

      The feature id for the 'EAttribute' reference.
      See Also:
        Constant Field Values

    - #### TEST_ATTRIBUTE_FEATURE_COUNT

          static final int TEST_ATTRIBUTE_FEATURE_COUNT

      The number of structural features of the 'Test Attribute' class.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY

          static final int TEST_ENTITY

      The meta object id for the '`Test Entity`' class.
      See Also:
        `TestEntityImpl`, `TreesetPackageImpl.getTestEntity()`, Constant Field Values

    - #### TEST_ENTITY__VALIDATION_MESSAGES

          static final int TEST_ENTITY__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__PARENT

          static final int TEST_ENTITY__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__CHILDREN

          static final int TEST_ENTITY__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__NAME

          static final int TEST_ENTITY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__NODE_ID

          static final int TEST_ENTITY__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__INVALID

          static final int TEST_ENTITY__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__NEW_OR_MODIFIED

          static final int TEST_ENTITY__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__MANUALLY_CREATED

          static final int TEST_ENTITY__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__SOURCE

          static final int TEST_ENTITY__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__EXPANDED

          static final int TEST_ENTITY__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__PASSED

          static final int TEST_ENTITY__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__ISSUE

          static final int TEST_ENTITY__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__BACKUP_INFO

          static final int TEST_ENTITY__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__COMMENTS

          static final int TEST_ENTITY__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__DATABASE_ID

          static final int TEST_ENTITY__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__REFERENCING_HREFS

          static final int TEST_ENTITY__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__MESSAGE_ITEM

          static final int TEST_ENTITY__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__IGNORE_VALIDATION

          static final int TEST_ENTITY__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY__ECLASS

          static final int TEST_ENTITY__ECLASS

      The feature id for the 'EClass' reference.
      See Also:
        Constant Field Values

    - #### TEST_ENTITY_FEATURE_COUNT

          static final int TEST_ENTITY_FEATURE_COUNT

      The number of structural features of the 'Test Entity' class.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET

          static final int TEST_TREE_SET

      The meta object id for the '`Test Tree Set`' class.
      See Also:
        `TestTreeSetImpl`, `TreesetPackageImpl.getTestTreeSet()`, Constant Field Values

    - #### TEST_TREE_SET__INPUT_ROOT

          static final int TEST_TREE_SET__INPUT_ROOT

      The feature id for the 'Input Root' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET__OUTPUT_ROOT

          static final int TEST_TREE_SET__OUTPUT_ROOT

      The feature id for the 'Output Root' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET__OUTPUT_MESSAGE_SECTION

          static final int TEST_TREE_SET__OUTPUT_MESSAGE_SECTION

      The feature id for the 'Output Message Section' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET__SELECTION

          static final int TEST_TREE_SET__SELECTION

      The feature id for the 'Selection' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET__TESTSHEET

          static final int TEST_TREE_SET__TESTSHEET

      The feature id for the 'Testsheet' reference.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET__EXPECTED_ROOT

          static final int TEST_TREE_SET__EXPECTED_ROOT

      The feature id for the 'Expected Root' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET__EXPECTED_MESSAGE_SECTION

          static final int TEST_TREE_SET__EXPECTED_MESSAGE_SECTION

      The feature id for the 'Expected Message Section' containment reference.
      See Also:
        Constant Field Values

    - #### TEST_TREE_SET_FEATURE_COUNT

          static final int TEST_TREE_SET_FEATURE_COUNT

      The number of structural features of the 'Test Tree Set' class.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT

          static final int TEST_TRANSIENT

      The meta object id for the '`Test Transient`' class.
      See Also:
        `TestTransientImpl`, `TreesetPackageImpl.getTestTransient()`, Constant Field Values

    - #### TEST_TRANSIENT__VALIDATION_MESSAGES

          static final int TEST_TRANSIENT__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__PARENT

          static final int TEST_TRANSIENT__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__CHILDREN

          static final int TEST_TRANSIENT__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__NAME

          static final int TEST_TRANSIENT__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__NODE_ID

          static final int TEST_TRANSIENT__NODE_ID

      The feature id for the 'Node ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__INVALID

          static final int TEST_TRANSIENT__INVALID

      The feature id for the 'Invalid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__NEW_OR_MODIFIED

          static final int TEST_TRANSIENT__NEW_OR_MODIFIED

      The feature id for the 'New Or Modified' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__MANUALLY_CREATED

          static final int TEST_TRANSIENT__MANUALLY_CREATED

      The feature id for the 'Manually Created' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__SOURCE

          static final int TEST_TRANSIENT__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__EXPANDED

          static final int TEST_TRANSIENT__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__PASSED

          static final int TEST_TRANSIENT__PASSED

      The feature id for the 'Passed' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__ISSUE

          static final int TEST_TRANSIENT__ISSUE

      The feature id for the 'Issue' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__BACKUP_INFO

          static final int TEST_TRANSIENT__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__COMMENTS

          static final int TEST_TRANSIENT__COMMENTS

      The feature id for the 'Comments' attribute list.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__DATABASE_ID

          static final int TEST_TRANSIENT__DATABASE_ID

      The feature id for the 'Database ID' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__REFERENCING_HREFS

          static final int TEST_TRANSIENT__REFERENCING_HREFS

      The feature id for the 'Referencing Hrefs' reference list.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__MESSAGE_ITEM

          static final int TEST_TRANSIENT__MESSAGE_ITEM

      The feature id for the 'Message Item' reference list.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__IGNORE_VALIDATION

          static final int TEST_TRANSIENT__IGNORE_VALIDATION

      The feature id for the 'Ignore Validation' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__VALUE

          static final int TEST_TRANSIENT__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT__DATA_TYPE

          static final int TEST_TRANSIENT__DATA_TYPE

      The feature id for the 'Data Type' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TRANSIENT_FEATURE_COUNT

          static final int TEST_TRANSIENT_FEATURE_COUNT

      The number of structural features of the 'Test Transient' class.
      See Also:
        Constant Field Values

    - #### VALIDATION_ISSUE

          static final int VALIDATION_ISSUE

      The meta object id for the '`Validation Issue`' enum.
      See Also:
        `ValidationIssue`, `TreesetPackageImpl.getValidationIssue()`, Constant Field Values

    - #### SOURCE

          static final int SOURCE

      The meta object id for the '`Source`' enum.
      See Also:
        `Source`, `TreesetPackageImpl.getSource()`, Constant Field Values

  - ### Method Detail

    - #### getMessageItem

          org.eclipse.emf.ecore.EClass getMessageItem()

      Returns the meta object for class '`Message Item`'.
      Returns:
        the meta object for class 'Message Item'.
      See Also:
        `MessageItem`

    - #### getMessageItem_PostedMessage

          org.eclipse.emf.ecore.EReference getMessageItem_PostedMessage()

      Returns the meta object for the reference '`Posted Message`'.
      Returns:
        the meta object for the reference 'Posted Message'.
      See Also:
        `MessageItem.getPostedMessage()`, `getMessageItem()`

    - #### getMessageItem_TestNode

          org.eclipse.emf.ecore.EReference getMessageItem_TestNode()

      Returns the meta object for the reference '`Test Node`'.
      Returns:
        the meta object for the reference 'Test Node'.
      See Also:
        `MessageItem.getTestNode()`, `getMessageItem()`

    - #### getMessageSection

          org.eclipse.emf.ecore.EClass getMessageSection()

      Returns the meta object for class '`Message Section`'.
      Returns:
        the meta object for class 'Message Section'.
      See Also:
        `MessageSection`

    - #### getMessageSection_MessageItemList

          org.eclipse.emf.ecore.EReference getMessageSection_MessageItemList()

      Returns the meta object for the containment reference list '`Message Item List`'.
      Returns:
        the meta object for the containment reference list 'Message Item List'.
      See Also:
        `MessageSection.getMessageItemList()`, `getMessageSection()`

    - #### getMessageSection_RowCount

          org.eclipse.emf.ecore.EAttribute getMessageSection_RowCount()

      Returns the meta object for the attribute '`Row Count`'.
      Returns:
        the meta object for the attribute 'Row Count'.
      See Also:
        `MessageSection.getRowCount()`, `getMessageSection()`

    - #### getMessageSection_ScrollRowTop

          org.eclipse.emf.ecore.EAttribute getMessageSection_ScrollRowTop()

      Returns the meta object for the attribute '`Scroll Row Top`'.
      Returns:
        the meta object for the attribute 'Scroll Row Top'.
      See Also:
        `MessageSection.getScrollRowTop()`, `getMessageSection()`

    - #### getMessageSection_ColumnWidthSeverity

          org.eclipse.emf.ecore.EAttribute getMessageSection_ColumnWidthSeverity()

      Returns the meta object for the attribute '`Column Width Severity`'.
      Returns:
        the meta object for the attribute 'Column Width Severity'.
      See Also:
        `MessageSection.getColumnWidthSeverity()`, `getMessageSection()`

    - #### getMessageSection_ColumnWidthMessage

          org.eclipse.emf.ecore.EAttribute getMessageSection_ColumnWidthMessage()

      Returns the meta object for the attribute '`Column Width Message`'.
      Returns:
        the meta object for the attribute 'Column Width Message'.
      See Also:
        `MessageSection.getColumnWidthMessage()`, `getMessageSection()`

    - #### getTestAssociationHref

          org.eclipse.emf.ecore.EClass getTestAssociationHref()

      Returns the meta object for class '`Test Association Href`'.
      Returns:
        the meta object for class 'Test Association Href'.
      See Also:
        `TestAssociationHref`

    - #### getTestAssociationHref_TargetTestNode

          org.eclipse.emf.ecore.EReference getTestAssociationHref_TargetTestNode()

      Returns the meta object for the reference '`Target Test Node`'.
      Returns:
        the meta object for the reference 'Target Test Node'.
      See Also:
        `TestAssociationHref.getTargetTestNode()`, `getTestAssociationHref()`

    - #### getTestAssociationImbedded

          org.eclipse.emf.ecore.EClass getTestAssociationImbedded()

      Returns the meta object for class '`Test Association Imbedded`'.
      Returns:
        the meta object for class 'Test Association Imbedded'.
      See Also:
        `TestAssociationImbedded`

    - #### getTestAssociationImbedded_EClass

          org.eclipse.emf.ecore.EReference getTestAssociationImbedded_EClass()

      Returns the meta object for the reference '`EClass`'.
      Returns:
        the meta object for the reference 'EClass'.
      See Also:
        `TestAssociationImbedded.getEClass()`, `getTestAssociationImbedded()`

    - #### getTestAttribute

          org.eclipse.emf.ecore.EClass getTestAttribute()

      Returns the meta object for class '`Test Attribute`'.
      Returns:
        the meta object for class 'Test Attribute'.
      See Also:
        `TestAttribute`

    - #### getTestAttribute_EAttribute

          org.eclipse.emf.ecore.EReference getTestAttribute_EAttribute()

      Returns the meta object for the reference '`EAttribute`'.
      Returns:
        the meta object for the reference 'EAttribute'.
      See Also:
        `TestAttribute.getEAttribute()`, `getTestAttribute()`

    - #### getTestEntity

          org.eclipse.emf.ecore.EClass getTestEntity()

      Returns the meta object for class '`Test Entity`'.
      Returns:
        the meta object for class 'Test Entity'.
      See Also:
        `TestEntity`

    - #### getTestEntity_EClass

          org.eclipse.emf.ecore.EReference getTestEntity_EClass()

      Returns the meta object for the reference '`EClass`'.
      Returns:
        the meta object for the reference 'EClass'.
      See Also:
        `TestEntity.getEClass()`, `getTestEntity()`

    - #### getTestNode

          org.eclipse.emf.ecore.EClass getTestNode()

      Returns the meta object for class '`Test Node`'.
      Returns:
        the meta object for class 'Test Node'.
      See Also:
        `TestNode`

    - #### getTestNode_Parent

          org.eclipse.emf.ecore.EReference getTestNode_Parent()

      Returns the meta object for the container reference '`Parent`'.
      Returns:
        the meta object for the container reference 'Parent'.
      See Also:
        `TestNode.getParent()`, `getTestNode()`

    - #### getTestNode_Children

          org.eclipse.emf.ecore.EReference getTestNode_Children()

      Returns the meta object for the containment reference list '`Children`'.
      Returns:
        the meta object for the containment reference list 'Children'.
      See Also:
        `TestNode.getChildren()`, `getTestNode()`

    - #### getTestNode_Name

          org.eclipse.emf.ecore.EAttribute getTestNode_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `TestNode.getName()`, `getTestNode()`

    - #### getTestNode_NodeID

          org.eclipse.emf.ecore.EAttribute getTestNode_NodeID()

      Returns the meta object for the attribute '`Node ID`'.
      Returns:
        the meta object for the attribute 'Node ID'.
      See Also:
        `TestNode.getNodeID()`, `getTestNode()`

    - #### getTestNode_Invalid

          org.eclipse.emf.ecore.EAttribute getTestNode_Invalid()

      Returns the meta object for the attribute '`Invalid`'.
      Returns:
        the meta object for the attribute 'Invalid'.
      See Also:
        `TestNode.isInvalid()`, `getTestNode()`

    - #### getTestNode_NewOrModified

          org.eclipse.emf.ecore.EAttribute getTestNode_NewOrModified()

      Returns the meta object for the attribute '`New Or Modified`'.
      Returns:
        the meta object for the attribute 'New Or Modified'.
      See Also:
        `TestNode.isNewOrModified()`, `getTestNode()`

    - #### getTestNode_ManuallyCreated

          org.eclipse.emf.ecore.EAttribute getTestNode_ManuallyCreated()

      Returns the meta object for the attribute '`Manually Created`'.
      Returns:
        the meta object for the attribute 'Manually Created'.
      See Also:
        `TestNode.isManuallyCreated()`, `getTestNode()`

    - #### getTestNode_Source

          org.eclipse.emf.ecore.EAttribute getTestNode_Source()

      Returns the meta object for the attribute '`Source`'.
      Returns:
        the meta object for the attribute 'Source'.
      See Also:
        `TestNode.getSource()`, `getTestNode()`

    - #### getTestNode_Expanded

          org.eclipse.emf.ecore.EAttribute getTestNode_Expanded()

      Returns the meta object for the attribute '`Expanded`'.
      Returns:
        the meta object for the attribute 'Expanded'.
      See Also:
        `TestNode.isExpanded()`, `getTestNode()`

    - #### getTestNode_Passed

          org.eclipse.emf.ecore.EAttribute getTestNode_Passed()

      Returns the meta object for the attribute '`Passed`'.
      Returns:
        the meta object for the attribute 'Passed'.
      See Also:
        `TestNode.isPassed()`, `getTestNode()`

    - #### getTestNode_Issue

          org.eclipse.emf.ecore.EAttribute getTestNode_Issue()

      Returns the meta object for the attribute '`Issue`'.
      Returns:
        the meta object for the attribute 'Issue'.
      See Also:
        `TestNode.getIssue()`, `getTestNode()`

    - #### getTestNode_BackupInfo

          org.eclipse.emf.ecore.EAttribute getTestNode_BackupInfo()

      Returns the meta object for the attribute list '`Backup Info`'.
      Returns:
        the meta object for the attribute list 'Backup Info'.
      See Also:
        `TestNode.getBackupInfo()`, `getTestNode()`

    - #### getTestNode_Comments

          org.eclipse.emf.ecore.EAttribute getTestNode_Comments()

      Returns the meta object for the attribute list '`Comments`'.
      Returns:
        the meta object for the attribute list 'Comments'.
      See Also:
        `TestNode.getComments()`, `getTestNode()`

    - #### getTestNode_DatabaseID

          org.eclipse.emf.ecore.EAttribute getTestNode_DatabaseID()

      Returns the meta object for the attribute '`Database ID`'.
      Returns:
        the meta object for the attribute 'Database ID'.
      See Also:
        `TestNode.getDatabaseID()`, `getTestNode()`

    - #### getTestNode_ReferencingHrefs

          org.eclipse.emf.ecore.EReference getTestNode_ReferencingHrefs()

      Returns the meta object for the reference list '`Referencing Hrefs`'.
      Returns:
        the meta object for the reference list 'Referencing Hrefs'.
      See Also:
        `TestNode.getReferencingHrefs()`, `getTestNode()`

    - #### getTestNode_MessageItem

          org.eclipse.emf.ecore.EReference getTestNode_MessageItem()

      Returns the meta object for the reference list '`Message Item`'.
      Returns:
        the meta object for the reference list 'Message Item'.
      See Also:
        `TestNode.getMessageItem()`, `getTestNode()`

    - #### getTestNode_IgnoreValidation

          org.eclipse.emf.ecore.EAttribute getTestNode_IgnoreValidation()

      Returns the meta object for the attribute '`Ignore Validation`'.
      Returns:
        the meta object for the attribute 'Ignore Validation'.
      See Also:
        `TestNode.isIgnoreValidation()`, `getTestNode()`

    - #### getTestTreeSet

          org.eclipse.emf.ecore.EClass getTestTreeSet()

      Returns the meta object for class '`Test Tree Set`'.
      Returns:
        the meta object for class 'Test Tree Set'.
      See Also:
        `TestTreeSet`

    - #### getTestTreeSet_InputRoot

          org.eclipse.emf.ecore.EReference getTestTreeSet_InputRoot()

      Returns the meta object for the containment reference '`Input Root`'.
      Returns:
        the meta object for the containment reference 'Input Root'.
      See Also:
        `TestTreeSet.getInputRoot()`, `getTestTreeSet()`

    - #### getTestTreeSet_OutputRoot

          org.eclipse.emf.ecore.EReference getTestTreeSet_OutputRoot()

      Returns the meta object for the containment reference '`Output Root`'.
      Returns:
        the meta object for the containment reference 'Output Root'.
      See Also:
        `TestTreeSet.getOutputRoot()`, `getTestTreeSet()`

    - #### getTestTreeSet_OutputMessageSection

          org.eclipse.emf.ecore.EReference getTestTreeSet_OutputMessageSection()

      Returns the meta object for the containment reference '`Output Message Section`'.
      Returns:
        the meta object for the containment reference 'Output Message Section'.
      See Also:
        `TestTreeSet.getOutputMessageSection()`, `getTestTreeSet()`

    - #### getTestTreeSet_Selection

          org.eclipse.emf.ecore.EAttribute getTestTreeSet_Selection()

      Returns the meta object for the attribute '`Selection`'.
      Returns:
        the meta object for the attribute 'Selection'.
      See Also:
        `TestTreeSet.getSelection()`, `getTestTreeSet()`

    - #### getTestTreeSet_Testsheet

          org.eclipse.emf.ecore.EReference getTestTreeSet_Testsheet()

      Returns the meta object for the reference '`Testsheet`'.
      Returns:
        the meta object for the reference 'Testsheet'.
      See Also:
        `TestTreeSet.getTestsheet()`, `getTestTreeSet()`

    - #### getTestTreeSet_ExpectedRoot

          org.eclipse.emf.ecore.EReference getTestTreeSet_ExpectedRoot()

      Returns the meta object for the containment reference '`Expected Root`'.
      Returns:
        the meta object for the containment reference 'Expected Root'.
      See Also:
        `TestTreeSet.getExpectedRoot()`, `getTestTreeSet()`

    - #### getTestTreeSet_ExpectedMessageSection

          org.eclipse.emf.ecore.EReference getTestTreeSet_ExpectedMessageSection()

      Returns the meta object for the containment reference '`Expected Message Section`'.
      Returns:
        the meta object for the containment reference 'Expected Message Section'.
      See Also:
        `TestTreeSet.getExpectedMessageSection()`, `getTestTreeSet()`

    - #### getTestTransient

          org.eclipse.emf.ecore.EClass getTestTransient()

      Returns the meta object for class '`Test Transient`'.
      Returns:
        the meta object for class 'Test Transient'.
      See Also:
        `TestTransient`

    - #### getTestTransient_DataType

          org.eclipse.emf.ecore.EAttribute getTestTransient_DataType()

      Returns the meta object for the attribute '`Data Type`'.
      Returns:
        the meta object for the attribute 'Data Type'.
      See Also:
        `TestTransient.getDataType()`, `getTestTransient()`

    - #### getTestCharacteristic

          org.eclipse.emf.ecore.EClass getTestCharacteristic()

      Returns the meta object for class '`Test Characteristic`'.
      Returns:
        the meta object for class 'Test Characteristic'.
      See Also:
        `TestCharacteristic`

    - #### getTestCharacteristic_Value

          org.eclipse.emf.ecore.EAttribute getTestCharacteristic_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `TestCharacteristic.getValue()`, `getTestCharacteristic()`

    - #### getTestAssociation

          org.eclipse.emf.ecore.EClass getTestAssociation()

      Returns the meta object for class '`Test Association`'.
      Returns:
        the meta object for class 'Test Association'.
      See Also:
        `TestAssociation`

    - #### getTestAssociation_EReference

          org.eclipse.emf.ecore.EReference getTestAssociation_EReference()

      Returns the meta object for the reference '`EReference`'.
      Returns:
        the meta object for the reference 'EReference'.
      See Also:
        `TestAssociation.getEReference()`, `getTestAssociation()`

    - #### getValidationIssue

          org.eclipse.emf.ecore.EEnum getValidationIssue()

      Returns the meta object for enum '`Validation Issue`'.
      Returns:
        the meta object for enum 'Validation Issue'.
      See Also:
        `ValidationIssue`

    - #### getSource

          org.eclipse.emf.ecore.EEnum getSource()

      Returns the meta object for enum '`Source`'.
      Returns:
        the meta object for enum 'Source'.
      See Also:
        `Source`

    - #### getTreesetFactory

          TreesetFactory getTreesetFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.